Page MenuHomePhabricator

Remove deprecated global function wfRunHooks from extensions and mw-core
Closed, ResolvedPublic

Description

As per https://gerrit.wikimedia.org/g/mediawiki/core/+/master/docs/hooks.txt

229 Hooks::run() was added in MediaWiki 1.18, before that the global function
230 wfRunHooks must be used, which was deprecated in MediaWiki 1.25.

wfRunHooks has deprecated since MediaWiki 1.25, So removing it from MediaWiki extension and core is good.

Search in gerrit extensions: https://codesearch.wmflabs.org/search/?q=wfRunHooks&i=nope&files=&repos= [Ignore the .patch file]

Event Timeline

Restricted Application added a project: User-Jayprakash12345. · View Herald TranscriptMar 9 2018, 1:56 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Change 417892 had a related patch set (by Jayprakash12345) published:
[mediawiki/skins/p2wiki@master] Remove deprecated global function wfRunHooks

https://gerrit.wikimedia.org/r/417892

Change 417896 had a related patch set (by Jayprakash12345) published:
[mediawiki/skins/Synagonism@master] Remove deprecated global function wfRunHooks

https://gerrit.wikimedia.org/r/417896

Change 417897 had a related patch set (by Jayprakash12345) published:
[mediawiki/extensions/BlueSpiceTagCloud@master] Remove deprecated global function wfRunHooks

https://gerrit.wikimedia.org/r/417897

Change 417901 had a related patch set (by Jayprakash12345) published:
[mediawiki/extensions/EmailAuthorization@master] Remove deprecated global function wfRunHooks

https://gerrit.wikimedia.org/r/417901

Aklapper renamed this task from Remove deprecated global function wfRunHooks from extenions and mw-core to Remove deprecated global function wfRunHooks from extensions and mw-core.Mar 9 2018, 2:20 PM

Change 417901 merged by jenkins-bot:
[mediawiki/extensions/EmailAuthorization@master] Remove deprecated global function wfRunHooks

https://gerrit.wikimedia.org/r/417901

Change 417897 merged by jenkins-bot:
[mediawiki/extensions/BlueSpiceTagCloud@master] Remove deprecated global function wfRunHooks

https://gerrit.wikimedia.org/r/417897

Change 417896 merged by jenkins-bot:
[mediawiki/skins/Synagonism@master] Remove deprecated global function wfRunHooks

https://gerrit.wikimedia.org/r/417896

Change 417892 merged by jenkins-bot:
[mediawiki/skins/p2wiki@master] Remove deprecated global function wfRunHooks

https://gerrit.wikimedia.org/r/417892

Umherirrender triaged this task as Normal priority.Mar 9 2018, 2:44 PM
Umherirrender updated the task description. (Show Details)

Change 417938 had a related patch set (by Jayprakash12345) published:
[mediawiki/extensions/BlueSpiceRSSFeeder@master] Remove deprecated global function wfRunHooks

https://gerrit.wikimedia.org/r/417938

Change 417939 had a related patch set (by Jayprakash12345) published:
[mediawiki/extensions/SemanticInternalObjects@master] Remove deprecated dieUsageMsg methods

https://gerrit.wikimedia.org/r/417939

Change 417941 had a related patch set (by Jayprakash12345) published:
[mediawiki/extensions/SemanticExpressiveness@master] Remove deprecated dieUsageMsg methods

https://gerrit.wikimedia.org/r/417941

Change 417942 had a related patch set (by Jayprakash12345) published:
[mediawiki/extensions/BlueSpiceNamespaceManager@master] Remove wfRunHooks from comment

https://gerrit.wikimedia.org/r/417942

Change 417950 had a related patch set (by Jayprakash12345) published:
[mediawiki/extensions/SemanticPageSeries@master] Remove deprecated global function wfRunHooks

https://gerrit.wikimedia.org/r/417950

Change 417954 had a related patch set (by Jayprakash12345) published:
[mediawiki/extensions/WikEdDiff@master] Remove deprecated global function wfRunHooks from mentions

https://gerrit.wikimedia.org/r/417954

Change 417955 had a related patch set (by Jayprakash12345) published:
[mediawiki/skins/webplatform@master] Remove deprecated global function wfRunHooks from mention

https://gerrit.wikimedia.org/r/417955

Change 417939 merged by jenkins-bot:
[mediawiki/extensions/SemanticInternalObjects@master] Remove deprecated global function wfRunHooks

https://gerrit.wikimedia.org/r/417939

Change 417956 had a related patch set (by Jayprakash12345) published:
[mediawiki/extensions/Contest@master] Remove deprecated global function wfRunHooks

https://gerrit.wikimedia.org/r/417956

Change 417950 merged by jenkins-bot:
[mediawiki/extensions/SemanticPageSeries@master] Remove deprecated global function wfRunHooks

https://gerrit.wikimedia.org/r/417950

Change 417956 merged by jenkins-bot:
[mediawiki/extensions/Contest@master] Remove deprecated global function wfRunHooks

https://gerrit.wikimedia.org/r/417956

Change 417941 merged by jenkins-bot:
[mediawiki/extensions/SemanticExpressiveness@master] Remove deprecated global function wfRunHooks

https://gerrit.wikimedia.org/r/417941

Change 417955 merged by jenkins-bot:
[mediawiki/skins/webplatform@master] Remove deprecated global function wfRunHooks from mention

https://gerrit.wikimedia.org/r/417955

Change 417942 merged by Umherirrender:
[mediawiki/extensions/BlueSpiceNamespaceManager@master] Remove wfRunHooks from comment

https://gerrit.wikimedia.org/r/417942

Change 417938 merged by jenkins-bot:
[mediawiki/extensions/BlueSpiceRSSFeeder@master] Remove deprecated global function wfRunHooks

https://gerrit.wikimedia.org/r/417938

Change 417984 had a related patch set (by Jayprakash12345) published:
[mediawiki/extensions/Translate@master] Remove deprecated global function wfRunHooks

https://gerrit.wikimedia.org/r/417984

Change 417954 merged by jenkins-bot:
[mediawiki/extensions/WikEdDiff@master] Remove deprecated global function wfRunHooks from mentions

https://gerrit.wikimedia.org/r/417954

D3r1ck01 updated the task description. (Show Details)Oct 6 2018, 10:56 AM

Change 471692 had a related patch set uploaded (by D3r1ck01; owner: Alangi Derick):
[mediawiki/extensions/ApprovedRevs@master] Removed deprecated global function wfHooksRun()

https://gerrit.wikimedia.org/r/471692

Change 471692 merged by jenkins-bot:
[mediawiki/extensions/ApprovedRevs@master] Removed deprecated global function wfHooksRun()

https://gerrit.wikimedia.org/r/471692

Change 417984 merged by jenkins-bot:
[mediawiki/extensions/Translate@master] Remove deprecated global function wfRunHooks

https://gerrit.wikimedia.org/r/417984

Krinkle added a subscriber: Krinkle.

Looks like this is a tracking task for extensions generally. The core change was already done in 1.32, the function no longer exists in master. Taking it off the deprecation process as such.

Change 505264 had a related patch set uploaded (by Paladox; owner: Alangi Derick):
[mediawiki/extensions/ApprovedRevs@REL1_32] Removed deprecated global function wfHooksRun()

https://gerrit.wikimedia.org/r/505264

Change 505264 merged by jenkins-bot:
[mediawiki/extensions/ApprovedRevs@REL1_32] Removed deprecated global function wfHooksRun()

https://gerrit.wikimedia.org/r/505264

Umherirrender closed this task as Resolved.Jun 7 2019, 8:24 PM
Umherirrender added a subscriber: Umherirrender.

All extensions hosted on gerrit.wikimedia.org are done